searchNodes=[{"type":"module","title":"NervesLogging.KmsgParser","doc":"Functions for parsing kmsg strings","ref":"NervesLogging.KmsgParser.html"},{"type":"function","title":"NervesLogging.KmsgParser.parse/1","doc":"Parse out the kmsg facility, severity, and message (including the timestamp and host) from a kmsg-formatted string. See https://elixir.bootlin.com/linux/latest/source/Documentation/ABI/testing/dev-kmsg for full details. Most messages are of the form: priority,sequence,timestamp,flag;message priority is an integer that when broken apart gives you a facility and severity. sequence is a monotonically increasing counter timestamp is the time in microseconds flag is almost always - message is everything else This parser only supports the minimum kmsg reports. The spec above describes more functionality, but it appears to be uncommon and I haven't seen any examples yet in my testing.","ref":"NervesLogging.KmsgParser.html#parse/1"},{"type":"module","title":"NervesLogging.KmsgTailer","doc":"Collects operating system-level messages from /proc/kmsg , forwarding them to Logger with an appropriate level to match the syslog priority parsed out of the message.","ref":"NervesLogging.KmsgTailer.html"},{"type":"function","title":"NervesLogging.KmsgTailer.child_spec/1","doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"NervesLogging.KmsgTailer.html#child_spec/1"},{"type":"function","title":"NervesLogging.KmsgTailer.start_link/1","doc":"Start the kmsg monitoring GenServer.","ref":"NervesLogging.KmsgTailer.html#start_link/1"},{"type":"module","title":"NervesLogging.SyslogParser","doc":"Functions for parsing syslog strings","ref":"NervesLogging.SyslogParser.html"},{"type":"function","title":"NervesLogging.SyslogParser.decode_priority/1","doc":"Decode a syslog priority to facility and severity","ref":"NervesLogging.SyslogParser.html#decode_priority/1"},{"type":"function","title":"NervesLogging.SyslogParser.parse/1","doc":"Parse out the syslog facility, severity, and message (including the timestamp and host) from a syslog-formatted string. The message is of the form: &lt;pri&gt;message pri is an integer that when broken apart gives you a facility and severity. message is everything else.","ref":"NervesLogging.SyslogParser.html#parse/1"},{"type":"type","title":"NervesLogging.SyslogParser.facility/0","doc":"","ref":"NervesLogging.SyslogParser.html#t:facility/0"},{"type":"type","title":"NervesLogging.SyslogParser.severity/0","doc":"","ref":"NervesLogging.SyslogParser.html#t:severity/0"},{"type":"module","title":"NervesLogging.SyslogTailer","doc":"This GenServer routes syslog messages from C-based applications and libraries through the Elixir Logger for collection.","ref":"NervesLogging.SyslogTailer.html"},{"type":"function","title":"NervesLogging.SyslogTailer.child_spec/1","doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"NervesLogging.SyslogTailer.html#child_spec/1"},{"type":"function","title":"NervesLogging.SyslogTailer.start_link/1","doc":"Start the local syslog GenServer.","ref":"NervesLogging.SyslogTailer.html#start_link/1"},{"type":"extras","title":"NervesLogging","doc":"NervesLogging forwards log messages from the Linux kernel and syslog to the Elixir logger. It's used with Nerves so that all log messages pass through one place. Messages logged by NervesLogging copy the &quot;Syslog&quot; severity directly to the Logger level. This means that if the kernel's level is &quot;Error&quot;, the Elixir level will be :error . Since Elixir 1.11 and later have the same log levels as Syslog, this mapping is 1:1. The Syslog facility is passed via log metadata. See the Elixir Logger documentation for reducing what's logged if the system logs become too noisy. For example, try Logger.put_application_level(:nerves_logging, :error) .","ref":"readme.html"},{"type":"extras","title":"NervesLogging - Using","doc":"There's no configuration. Add the following to a supervision tree to capture the logs: [ NervesLogging.KmsgTailer , NervesLogging.SyslogTailer ] If you're using Nerves, you don't need to do this. Nerves.Runtime adds these to its supervision tree.","ref":"readme.html#using"},{"type":"extras","title":"NervesLogging - License","doc":"All original source code in this project is licensed under Apache-2.0. Additionally, this project follows the REUSE recommendations and labels so that licensing and copyright are clear at the file level. Exceptions to Apache-2.0 licensing are: Configuration and data files are licensed under CC0-1.0 Documentation is CC-BY-4.0","ref":"readme.html#license"},{"type":"extras","title":"Changelog","doc":"","ref":"changelog.html"},{"type":"extras","title":"Changelog - v0.2.1 - 2023-06-30","doc":"Changes Fix Elixir 1.15 Logger warning","ref":"changelog.html#v0-2-1-2023-06-30"},{"type":"extras","title":"Changelog - v0.2.0 - 2022-07-04","doc":"Changes No longer automatically start log tailers. Users must add NervesLogging.KmsgTailer and NervesLogging.SyslogTailer to their supervision trees. This simplifies the logic for whether to start the loggers or not. Very few users will need to do anything. It will be handled by Nerves.Runtime .","ref":"changelog.html#v0-2-0-2022-07-04"},{"type":"extras","title":"Changelog - v0.1.1 - 2022-06-03","doc":"Changes Don't crash when lacking permissions to read logs. Restarting doesn't fix the permission issue so this ends up being terminal. The error will be logged.","ref":"changelog.html#v0-1-1-2022-06-03"},{"type":"extras","title":"Changelog - v0.1.0 - 2022-04-26","doc":"Extract system logging from nerves_runtime . Updates Require Elixir 1.11 and remove all syslog-to-Elixir log level conversion code since Elixir accepts all of the syslog levels now. Remove the :severity field from log messages since it's redundant now. It's unknown if this field was actually used.","ref":"changelog.html#v0-1-0-2022-04-26"}]